<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.elytron.x500-attribute-principal-decoder">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="attribute-name,convert,joiner,maximum-segments,oid,required-attributes,required-oids,reverse,start-segment"/>
        <elem name="addr-params" value="profile,host,subsystem,x500-attribute-principal-decoder"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.security.principal-transformer.$x500-attribute-principal-decoder"/>
        <capability name="$profile.org.wildfly.security.principal-decoder.$x500-attribute-principal-decoder"/>
    </provides>
    <refs>
        <ref feature="subsystem.elytron"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="required-oids" nillable="true" type="List&lt;String&gt;"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="attribute-name" nillable="true"/>
        <param name="subsystem" feature-id="true" default="elytron"/>
        <param name="required-attributes" nillable="true" type="List&lt;String&gt;"/>
        <param name="convert" nillable="true"/>
        <param name="oid" nillable="true"/>
        <param name="reverse" nillable="true"/>
        <param name="x500-attribute-principal-decoder" feature-id="true"/>
        <param name="joiner" nillable="true"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="maximum-segments" nillable="true"/>
        <param name="start-segment" nillable="true"/>
    </params>
</feature-spec>